<script setup lang="ts">
import { useI18n } from 'vue-i18n'

// using
const { t } = useI18n({
	messages: {
		en: {
			by: `designed by Oo+`,
		},
		th: {
			by: `ออกแบบโดย โอ๋`,
		},
	},
})
</script>


<style scoped>
#container {
	padding: 0.25rem 1.5rem;
	text-align: center;
	background-color: #ccc;
	color: #000;
}

#container>span {
	font-size: 0.875rem;
	line-height: 1.25rem;
}
</style>


<template>
	<footer id="container">
		<span>{{ t('by') }}</span>
	</footer>
</template>
